Name:		hatari
Version:	1.6.2
Release:	%mkrel 2
Summary:	An Atari ST emulator
License:	GPLv2+
Group:		Emulators
URL:		http://hatari.tuxfamily.org
Source0:	http://download.tuxfamily.org/%{name}/%{name}-%{version}.tar.bz2
BuildRequires:	cmake
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	readline-devel
BuildRequires:	desktop-file-utils

%description
Hatari is an Atari ST and STE emulator.
The Atari ST was a 16/32 bit computer system which was first released by
Atari in 1985. Using the Motorola 68000 CPU, it was a very popular computer
having quite a lot of CPU power at that time. Unlike many other Atari ST
emulators which try to give you a good environment for running GEM
applications, Hatari tries to emulate the hardware of a ST as close as
possible so that it is able to run most of the old ST games and demos.


%prep
%setup -q


%build
%cmake \
	-DCMAKE_VERBOSE_MAKEFILE=TRUE \
	-DCMAKE_BUILD_TYPE:STRING=None \
	-DDOCDIR:PATH=%{_docdir}/%{name}-%{version} \
	-DBUILD_SHARED_LIBS:BOOL=OFF  ..

%make


%install
#%makeinstall_std  DESTDIR=%{buildroot} -C build
%makeinstall_std -C build

#fr man pages
install -d -m 755 %{buildroot}/%{_mandir}/fr/man1
install -m 644 doc/fr/%{name}.1 %{buildroot}/%{_mandir}/fr/man1

#desktop file
desktop-file-install --vendor="" \
	--remove-key="Version" \
	--remove-key="Encoding" \
	--add-category="Game" \
	--add-category="Emulator" \
	--dir %{buildroot}%{_datadir}/applications/ \
	%{buildroot}%{_datadir}/applications/*



%files
%defattr(-,root,root)
%{_mandir}/man1/*.1*
%lang(fr) %{_mandir}/fr/man1/%{name}*.1*
%{_bindir}/%{name}*
%{_bindir}/hmsa
%{_bindir}/zip2st
%{_bindir}/atari-hd-image
%{_datadir}/%{name}
%{_iconsdir}/hicolor/32x32/apps/%{name}-icon.png
%{_datadir}/applications/%{name}ui.desktop
%doc readme.txt doc/changelog.txt doc/fr/clavier-exemple.txt
%doc tools/hmsa/readme-hmsa.txt
%doc %{_docdir}/%{name}-%{version}


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.6.2-2.mga3
+ Revision: 353115
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 05 2012 bersuit <bersuit> 1.6.2-1.mga3
+ Revision: 314267
- updated to upstream 1.6.2

  + malo <malo>
    - fixing desktop file

* Mon Oct 31 2011 dmorgan <dmorgan> 1.5.0-1.mga2
+ Revision: 160239
- imported package hatari

